Skip to main content

Get appointment

GET{{server}}/api/v1/appointment/booking?bookingCode=918369&branch={{branch}}

This request returns the reservation by the booking code.

Request

  • branch (string, required): Branch key

  • bookingCode (string, required): Booking code

Response

  • start (number): The start time of the appointment.

  • language (string): Selected language key.

  • branch (string): Branch key.

  • service (string): Selected service key.

  • client.name (string): The name of the client.

  • client.email (string): The email of the client.

  • client.phone (string): The phone number of the client.

  • bookingCode (string): The unique code for the booking.

  • verified (boolean): Indicates whether the booking is verified. If it false, it should be confirmed. The server sent the confirmation message to the client.

  • length (number): The duration of the appointment.

Request​

Authorization​

HeaderValue
AuthorizationSmartToken {{smartToken}}

Headers​

KeyValue
Acceptapplication/json

Query parameters​

KeyValue
bookingCode918369
branch{{branch}}

Code snippets​

curl -X GET '{{server}}/api/v1/appointment/booking?bookingCode=918369&branch={{branch}}' \
-H 'Accept: application/json' \
-H 'Authorization: SmartToken {{smartToken}}'

Example​

Example request
GET{{server}}/api/v1/appointment/booking?bookingCode=918369&branch={{branch}}
Query parameters (2)
KeyValue
bookingCode918369
branch{{branch}}
Headers (1)
KeyValue
Acceptapplication/json
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length458
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
{
"start": 1745850600000,
"language": "00000000-0000-4000-0004-000000000001",
"branch": "00000000-0000-4000-0003-000000000001",
"service": {
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Information",
"explanation": null,
"comment": null
},
"00000000-0000-4000-0004-000000000017": {
"name": "Információ"
}
}
},
"client": {
"name": "John Node",
"email": "[email protected]",
"phone": "+36458754123"
},
"bookingCode": "918369",
"verified": true,
"length": 15,
"time": 1745842813085
}